## libxs-object-magic-perl 0.4

=== debian/changelog ===
libxs-object-magic-perl (0.4-1) unstable; urgency=low

  * Initial release (closes: #696101).

 -- gregor herrmann <gregoa@debian.org>  Sun, 16 Dec 2012 19:21:33 +0100
