=== debian/control ===
Source: libxs-object-magic-perl
Section: perl
Priority: optional
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: gregor herrmann <gregoa@debian.org>
Build-Depends: debhelper (>= 9.20120312),
 libextutils-depends-perl (>= 0.302),
 libtest-fatal-perl,
 libtest-use-ok-perl,
 perl
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libxs-object-magic-perl.git
Vcs-Git: git://git.debian.org/pkg-perl/packages/libxs-object-magic-perl.git
Homepage: https://metacpan.org/release/XS-Object-Magic/

Package: libxs-object-magic-perl
Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Description: module for opaque, extensible XS pointer backed objects using sv_magic
 XS::Object::Magic provides a way of associating structs with Perl space
 objects designed to supercede Perl's builtin "T_PTROBJ" with something that
 is designed to be:
 .
   * extensible: The association of the pointer using "sv_magicext" can be
     done on any data type, so you can associate C structs with any
     representation type. This means that you can add pointers to any object
     (hand coded, Moose or otherwise), while still having instance data in
     regular hashes.
   * opaque: The C pointer is neither visible nor modifiable from Perl space.
     This prevents accidental corruption which could lead to segfaults using
     "T_PTROBJ" (e.g. "$$ptr_obj = 0").
