=== debian/watch ===
version=3
https://metacpan.org/release/XS-Object-Magic/   .*/XS-Object-Magic-v?(\d[\d.-]*)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$
