=== debian/control ===
Source: libxs-object-magic-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: gregor herrmann <gregoa@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libextutils-depends-perl,
               libtest-fatal-perl <!nocheck>,
               perl-xs-dev,
               perl:native
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libxs-object-magic-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libxs-object-magic-perl.git
Homepage: https://metacpan.org/release/XS-Object-Magic
Rules-Requires-Root: no

Package: libxs-object-magic-perl
Architecture: any
Depends: ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: module for opaque, extensible XS pointer backed objects using sv_magic
 XS::Object::Magic provides a way of associating structs with Perl space
 objects designed to supersede Perl's builtin "T_PTROBJ" with something that
 is designed to be:
 .
   * extensible: The association of the pointer using "sv_magicext" can be
     done on any data type, so you can associate C structs with any
     representation type. This means that you can add pointers to any object
     (hand coded, Moose or otherwise), while still having instance data in
     regular hashes.
   * opaque: The C pointer is neither visible nor modifiable from Perl space.
     This prevents accidental corruption which could lead to segfaults using
     "T_PTROBJ" (e.g. "$$ptr_obj = 0").
